Ошибка БД при обновлении. - Дизайн и модификация Invision Power Board

Перейти к содержимому

 

Правила раздела

Здесь обсуждаются вопросы по настройке и администрированию форумов IPB 3.x.
Пожалуйста, не оффтопьте, если зашли сюда случайно, и обратите внимание на соседние разделы.
Установка, настройка и обслуживание форумов IPB 2.x.
Оформление форумов, включая верстку скинов.
Размещение рекламы на форумах.
SEO оптимизация форума.
Техническая поддержка наших скинов и модов.

СвернутьПрикрепленные теги

ошибка 1064

  • 4 Страниц +
  • 1
  • 2
  • 3
  • Последняя »

Ошибка БД при обновлении.

#1 Пользователь не на сайте   bukasuka ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 10
  • Регистрация: 20-Май 10
  • Репутация: 0
  • IPB version:3.0.x
 

Отправлено 13 Июль 2010 - 08:25

Здравствуйте.
Кто может помочь с данной проблемой.При обновлении с ipb 3.0.5 на 3.1.0 на странице ...upgrade&do=templatecache вылетела ошибка бд.
Сама ошибка:
Spoiler

Сообщение изменено: bukasuka (13 Июль 2010 - 08:25)

0

#2 Пользователь не на сайте   Fisana ответил: »

 
 
  • На PM не отвечаю
  • Смотреть блог
  • Смотреть галерею
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins Team
  • Сообщений: 13 190
  • Регистрация: 21-Ноябрь 05
  • Репутация: 695
  • Откуда:Из интернетов
  • IPB version:3.1.x
 

Отправлено 13 Июль 2010 - 08:33

Установщих не может обновить кэш.
Права выставлены 777 на эту папку?

Но в любом случае это можно сделать руками.
Попасть в админку и вручную обновить кэши шаблонов не получается?
0

#3 Пользователь не на сайте   bukasuka ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 10
  • Регистрация: 20-Май 10
  • Репутация: 0
  • IPB version:3.0.x
 

Отправлено 13 Июль 2010 - 08:50

Извините,на какую папку?Кэш из админки не обновляется,ошибка баз данных.

Сообщение изменено: bukasuka (13 Июль 2010 - 08:52)

0

#4 Пользователь не на сайте   Fisana ответил: »

 
 
  • На PM не отвечаю
  • Смотреть блог
  • Смотреть галерею
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins Team
  • Сообщений: 13 190
  • Регистрация: 21-Ноябрь 05
  • Репутация: 695
  • Откуда:Из интернетов
  • IPB version:3.1.x
 

Отправлено 13 Июль 2010 - 08:59

На папку Cache. В вашем дистрибутиве должна быть инструкция с описанием, какие права нужны для папок при установке.
Если найдете неправильные права и исправите, апгрейд можно запустить снова, вроде он должен продолжиться.

А еще кэш можно обновить запросом к базе.
1

#5 Пользователь не на сайте   bukasuka ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 10
  • Регистрация: 20-Май 10
  • Репутация: 0
  • IPB version:3.0.x
 

Отправлено 13 Июль 2010 - 09:17

Как вы много знаете. :) Права действительно стояли не правильно.Прямо сейчас проверить не выйдет потому что сейчас на этапе "Приложения" пропали все галочки и пишет "Ошибка: Необходимо выбрать приложения для обновления."Поэтому нужно всё заново заливать.Эх...
На этом спасибо.
----
Увы,проблема не решилась,абсолютно тот же результат.Не поделитесь как обновить кэш через запрос?

Сообщение изменено: bukasuka (13 Июль 2010 - 10:11)

0

#6 Пользователь не на сайте   Fisana ответил: »

 
 
  • На PM не отвечаю
  • Смотреть блог
  • Смотреть галерею
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins Team
  • Сообщений: 13 190
  • Регистрация: 21-Ноябрь 05
  • Репутация: 695
  • Откуда:Из интернетов
  • IPB version:3.1.x
 

Отправлено 13 Июль 2010 - 10:14

Подождите ответа программистов, так как я не по этой части (мои знания так далеко не распространяются).
0

#7 Пользователь не на сайте   Ph-A ответил: »

 
 
  • Advanced
  • Смотреть галерею
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins Team
  • Сообщений: 5 558
  • Регистрация: 18-Сентябрь 06
  • Репутация: 382
  • Откуда:Moscow
  • IPB version:3.1.x
 

Отправлено 13 Июль 2010 - 14:38

И я не подскажу. Тоже не смотрел, не надо было.
Надо брать исходники и идти по шагам, смотреть как и что он делает при апгрейде. Это время :)
Вопрос больше к разработчикам.

Проще откатить все из бекапа и пробовать снова.
0

#8 Пользователь не на сайте   bukasuka ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 10
  • Регистрация: 20-Май 10
  • Репутация: 0
  • IPB version:3.0.x
 

Отправлено 13 Июль 2010 - 18:04

Откатывал уже несколько раз.
0

#9 Пользователь не на сайте   Ph-A ответил: »

 
 
  • Advanced
  • Смотреть галерею
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins Team
  • Сообщений: 5 558
  • Регистрация: 18-Сентябрь 06
  • Репутация: 382
  • Откуда:Moscow
  • IPB version:3.1.x
 

Отправлено 13 Июль 2010 - 21:33

Просмотреть сообщениеbukasuka 13 Июль 2010 - 18:04 сказал(а):

Откатывал уже несколько раз.

Завтра поищу на форуме community.invisionpower.com. Были ли похожие ошибки.

Но скорее всего проблема в серверном окружение. Сколько памяти для PHP, какая версия PHP и MySQL?
0

#10 Пользователь не на сайте   bukasuka ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 10
  • Регистрация: 20-Май 10
  • Репутация: 0
  • IPB version:3.0.x
 

Отправлено 13 Июль 2010 - 22:28

  • Версия php 5.2.12
  • Версия MySQL-сервера 5.0.87
  • Версия MySQL-клиента: 4.1.22
  • Памяти 24м

Хорошо если в серверном окружении.В скором собираемся переезжать на более престижный хостинг,как бы проблема не переехала с нами.
0

#11 Пользователь не на сайте   Fisana ответил: »

 
 
  • На PM не отвечаю
  • Смотреть блог
  • Смотреть галерею
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins Team
  • Сообщений: 13 190
  • Регистрация: 21-Ноябрь 05
  • Репутация: 695
  • Откуда:Из интернетов
  • IPB version:3.1.x
 

Отправлено 13 Июль 2010 - 22:33

Цитата

Памяти 24м

А 3.1 просит 128...
Минимум можно поставить с 32-мя. Но русский язык, например, уже не загрузит при 32-х на английскую версию.
0

#12 Пользователь не на сайте   Ph-A ответил: »

 
 
  • Advanced
  • Смотреть галерею
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins Team
  • Сообщений: 5 558
  • Регистрация: 18-Сентябрь 06
  • Репутация: 382
  • Откуда:Moscow
  • IPB version:3.1.x
 

Отправлено 13 Июль 2010 - 22:46

Просмотреть сообщениеbukasuka 13 Июль 2010 - 22:28 сказал(а):

Памяти 24м

Скорее всего это и есть причина.

Просмотреть сообщениеFisana 13 Июль 2010 - 22:33 сказал(а):

Но русский язык, например, уже не загрузит при 32-х на английскую версию.

Через Translate Externally можно.
0

#13 Пользователь не на сайте   bukasuka ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 10
  • Регистрация: 20-Май 10
  • Репутация: 0
  • IPB version:3.0.x
 

Отправлено 13 Июль 2010 - 22:49

Изменить нету возможности,php.ini отсутствует.До тех.поддержки достучаться сложно,да и учитывая что она англоязычная.При обновлении до 3.1.1 установщик предупреждал,что необходимо больше памяти,но установка прошла успешно,только вот языковой пакет не встал.А на 3.1 никаких нареканий небыло.
Так может ну её эту 3.1,сразу на 3.1.1,если есть возможность поставить русский язык.Только с Translate Externally я не знаком,не просветите?

Сообщение изменено: bukasuka (13 Июль 2010 - 22:57)

0

#14 Пользователь не на сайте   Ph-A ответил: »

 
 
  • Advanced
  • Смотреть галерею
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins Team
  • Сообщений: 5 558
  • Регистрация: 18-Сентябрь 06
  • Репутация: 382
  • Откуда:Moscow
  • IPB version:3.1.x
 

Отправлено 13 Июль 2010 - 23:14

Просмотреть сообщениеbukasuka 13 Июль 2010 - 22:49 сказал(а):

При обновлении до 3.1.1 установщик предупреждал,что необходимо больше памяти,но установка прошла успешно,только вот языковой пакет не встал.

Тогда дело не в памяти ...

Просмотреть сообщениеbukasuka 13 Июль 2010 - 22:49 сказал(а):

Только с Translate Externally я не знаком,не просветите?

Для него нужна русификация не в виде xml, а в виде отдельной папки translate.
Для легальных пользователей -- http://community.inv...k-all-products/
( .tar.gz: exported "translate" folder (for those who have server memory errors when importing xml) )

Установка: My Control Panel > Look & Feel > Manage Languages
English (USA) справа выпадающее меню. Copy language pack...
Текущий язык копируется как еще один язык.
Меняем название и локаль Locale -- ru_RU.UTF-8

Затем в корне форума, где conf_global.php создаем директорию translate. В "русском языке" выбираем Translate Externally...
Языковые файлы копируются в папку translate. Их надо заменить на распакованные файлы из архива.
Затем "выбрать все" и "импортировать выбранные файлы".
Чтобы изменение вступили в силу надо кэшировать изменения.

Файлы в директории можно удалить, но только через админку.
1

#15 Пользователь не на сайте   bukasuka ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 10
  • Регистрация: 20-Май 10
  • Репутация: 0
  • IPB version:3.0.x
 

Отправлено 14 Июль 2010 - 00:57

Премного благодарен.Будем пробовать.
---
На другом хостинге 3.1 встала без проблем.

Сообщение изменено: bukasuka (15 Июль 2010 - 01:57)

0

Сообщить об этой теме:


  • 4 Страниц +
  • 1
  • 2
  • 3
  • Последняя »


Быстрый ответ

  

1 пользователей читают эту тему
0 зарегистрированных, 1 гостей, 0 скрытых


Контактная информация

Вопросы по работе сайта

+7 (917) 501-4765
C 10 до 20 в рабочие дни (время московское)

Техническая поддержка

Контактные данные специалистов

Дизайн форумов

IPB 3.x ¦ IPB 2.x

Бесплатные шаблоны

IPB 3.2 – 3.4 ¦ IPB 3.1 ¦ IPB 3.0 ¦ IPB 2.2 – 2.3 ¦ IPB 2.1 ¦ Клипарт
Лицензия на использование ¦ Ваша поддержка ¦ О проекте
Copyright © 2005-2016 IPBSkins.ru Team
При копировании материалов с сайта
прямая ссылка на источник обязательна